%global modname cerberus

Name:           python-%{modname}
Version:        1.1
Release:        1%{?dist}
Summary:        Lightweight, extensible data validation library for Python

License:        ISC
URL:            https://github.com/nicolaiarocci/cerberus
Source0:        %{url}/archive/%{version}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

%global _description \
Cerberus is a lightweight and extensible data validation library for Python.\
\
Cerberus provides type checking and other base functionality out of the box\
and is designed to be non-blocking and easily extensible, allowing for custom\
validation. It has no dependancies and is thoroughly tested.

%description %{_description}

%package -n python2-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{modname}}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-pytest

%description -n python2-%{modname} %{_description}

Python 2 version.

%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest

%description -n python3-%{modname} %{_description}

Python 3 version.

%package doc
Summary:        Documentation for %{name}
BuildRequires:  python3-sphinx
#BuildRequires:  python3-sphinxcontrib-issuetracker

%description doc %{_description}

Documentation files.

%prep
%autosetup -n %{modname}-%{version}
# Requires network, unfortunately
sed -i -e "s/'sphinxcontrib.issuetracker', //" docs/conf.py

%build
%py2_build
%py3_build
sphinx-build-%{python3_version} -b html docs/ -d docs/_build/doctrees/ docs/_build/html/

%install
%py2_install
%py3_install
rm -f html/.buildinfo

%check
py.test-%{python2_version} -v %{modname}/tests
py.test-%{python3_version} -v %{modname}/tests

%files -n python2-%{modname}
%license LICENSE
%doc README.rst AUTHORS CHANGES
%{python2_sitelib}/Cerberus-*.egg-info/
%{python2_sitelib}/%{modname}/

%files -n python3-%{modname}
%license LICENSE
%doc README.rst AUTHORS CHANGES
%{python3_sitelib}/Cerberus-*.egg-info/
%{python3_sitelib}/%{modname}/

%files doc
%doc docs/_build/html

%changelog
* Sat Feb 11 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.1-1
- Update to 1.1

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.0.1-2
- Rebuild for Python 3.6

* Thu Sep 01 2016 Igor Gnatenko <ignatenko@redhat.com> - 1.0.1-1
- Update to 1.0.1

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon May 09 2016 Igor Gnatenko <ignatenko@redhat.com> - 0.9.2-1
- Initial package
